Subject: Re: can't use cvs in cygwin 1.1.4
From: Jason Tishler <[email-masked]>
To: Gunnar Boström <[email-masked]>
Cc: [email-masked]
Date: Thu, 31 Aug 2000 08:45:50 -0400

Gunnar,

On Thu, Aug 31, 2000 at 01:54:47PM +0200, Gunnar Boström wrote:
> I'm using cygwin-1-1-4 and have some trouble using the cvs program in this
> relase.
> I can't check out a moudule from my local server.
> I've renamed the cvs program in the cygwin-1-1-4 release to cvss.
> I can checkout the module nebi with cvs 'Halibut' but not with cvss!
> Any suggestions?
> My setup follows!
> :-)
> 
> 
> $ echo $CVSROOT
> :local:P:\RE_BIPS_Projekt\NEBI\cvsroot

I believe that the above CVSROOT will only work for the native Win32 cvs
version.  Although I have never tried, I suspect that is will be difficult
(or impossible) to get the Cygwin cvs version to deal with Windows style
paths (that include a drive letter).

My suggestion is to use Cygwin style paths.  For example, one way to specify
the an equivalent CVSROOT to the above is the following:

    $ export CVSROOT=/cygdrive/p/RE_BIPS_Projekt/NEBI/cvsroot

Note:
    1. the above assumes that you have not changed the cygdrive path
       prefix (with mount --change-cygdrive-prefix)
    2. :local:" is optional in CVSROOT (unless you are using drive letters
       in the Win32 version)

Alternately, you can mount P: or one of its subdirectories via mount and
then set your CVSROOT as appropriate.  For example:

    $ mount -f -b P:/RE_BIPS_Projekt/NEBI/cvsroot /cvsroot
    $ export CVSROOT=/cvsroot
    $ cvss co nebi
    ...

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]